Package org.eclipse.emf.cdo.spi.common

## Class CDOAuthenticationResult

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.CDOAuthenticationResult

- All Implemented Interfaces:
    `java.io.Serializable`

      @Deprecated
      public final class CDOAuthenticationResult
      extends java.lang.Object
      implements java.io.Serializable

  Deprecated.
  As of 4.2
  The result of an authentication operation. Carries a userID and a crypted token.
  Since:
    4.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOAuthenticationResult​(java.lang.String userID, byte[] cryptedToken)` | Deprecated.
    `CDOAuthenticationResult​(org.eclipse.net4j.util.io.ExtendedDataInput in)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getCryptedToken()` | Deprecated.
    `java.lang.String` | `getUserID()` | Deprecated.
    `void` | `write​(org.eclipse.net4j.util.io.ExtendedDataOutput out)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOAuthenticationResult

          public CDOAuthenticationResult​(java.lang.String userID,
                                         byte[] cryptedToken)

      Deprecated.

    - #### CDOAuthenticationResult

          public CDOAuthenticationResult​(org.eclipse.net4j.util.io.ExtendedDataInput in)
                                  throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write​(org.eclipse.net4j.util.io.ExtendedDataOutput out)
                     throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### getUserID

          public java.lang.String getUserID()

      Deprecated.

    - #### getCryptedToken

          public byte[] getCryptedToken()

      Deprecated.